Subject: (urth) Urth Digest, Vol 77, Issue 100

From: Ashley Crill <ash_crill at hotmail.com>
Date: Wed, 09 Feb 2011 22:10:16 +0000

Apologies if someone else already gave the same answer to this:
> >  The one begging for explication is Echidna and Auk's connection.> 
I just finished reading through the Long Sun books, and the answer to this question seemed like an obvious plot point to me. 
Echidna wants Auk because she has learned that he holds a Piece of Pas (or soon will hold one). Echidna wants to stop Pas from returning to full strength, and one way to do this is to kill Auk and/or Jerboa. 
Also, for the record, I think that Silk was a frozen embryo created from the genetic material of both Pas and Kypris. His actual host mother was a friend, but not a mistress of the Calde. These four are the four parents he sees on the Aureate Path.
Also, I think that there are probably other 'Silks' in storage on the Whorl that are potential hosts for a re-bodied Pas. Typhon seems like the kind of guy who hedges his bets.

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.urth.net/pipermail/urth-urth.net/attachments/20110209/6cadafd2/attachment.htm>